Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java	(revision 170)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MultipleItemsSelector.java	(revision 171)
@@ -17,7 +17,7 @@
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.data.xy.XYDataset;
-//import org.txm.ca.core.chartsengine.jfreechart.datasets.FCAXYDataset;
+import org.txm.ca.core.chartsengine.jfreechart.datasets.FCAXYDataset;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 
 /**
@@ -302,8 +302,8 @@
 				// Test FCAXYDataset
 				
 				// FIXME: tests, navigation clavier par ordre alphabétique d'une AFC (toute séries confondues)
-//				String label = ((FCAXYDataset)dataset).getLabel(i,  j);
-//				allFlattenValues.put(label, itemData);
+				String label = ((FCAXYDataset)dataset).getLabel(i,  j);
+				allFlattenValues.put(label, itemData);
 				
 				// FIXME: tests, navigation clavier par coord X d'une AFC (toute séries confondues)
 				//allFlattenValues.put(dataset.getX(i, j), itemData);
@@ -342,36 +342,36 @@
 	}
 	
 
+	
+	/**
+	 * Gets a map where the values of the dataset are ordered according to the specified label arrays, keeping the order of these arrays and flatten but grouped by series.
+	 * @param dataset
+	 * @return
+	 */
+	public TreeMap<Object, ArrayList<Integer>> getItemsAndSeriesOrderedByLabels(FCAXYDataset dataset, String[] rowLabels, String[] colLabels)	{
+		
+		TreeMap<Object, ArrayList<Integer>> orderedValues = new TreeMap<Object, ArrayList<Integer>>();
+		
+		int[] rowIndices = dataset.getOrderedLabelIndices(0, rowLabels);
+		int[] colIndices = dataset.getOrderedLabelIndices(1, colLabels);
+		
+		int i = 0;
+		for(; i < rowIndices.length; i++) {
+			ArrayList<Integer> itemData = new ArrayList<Integer>(2);
+			itemData.add(0); // series
+			itemData.add(rowIndices[i]); // item
+			orderedValues.put(i, itemData);
+		}
+		for(int j = 0; j < colIndices.length; j++) {
+			ArrayList<Integer> itemData = new ArrayList<Integer>(2);
+			itemData.add(1); // series
+			itemData.add(colIndices[j]); // item
+			orderedValues.put(j + i, itemData);
+		}
+	
+		return orderedValues;
+	}
 
-//	/**
-//	 * Gets a map where the values of the dataset are ordered according to the specified label arrays, keeping the order of these arrays and flatten but grouped by series.
-//	 * @param dataset
-//	 * @return
-//	 */
-//	public TreeMap<Object, ArrayList<Integer>> getItemsAndSeriesOrderedByLabels(XYDataset dataset, String[] rowLabels, String[] colLabels)	{
-//		
-//		TreeMap<Object, ArrayList<Integer>> orderedValues = new TreeMap<Object, ArrayList<Integer>>();
-//		
-//		int[] rowIndices = dataset.getOrderedLabelIndices(0, rowLabels);
-//		int[] colIndices = dataset.getOrderedLabelIndices(1, colLabels);
-//		
-//		int i = 0;
-//		for(; i < rowIndices.length; i++) {
-//			ArrayList<Integer> itemData = new ArrayList<Integer>(2);
-//			itemData.add(0); // series
-//			itemData.add(rowIndices[i]); // item
-//			orderedValues.put(i, itemData);
-//		}
-//		for(int j = 0; j < colIndices.length; j++) {
-//			ArrayList<Integer> itemData = new ArrayList<Integer>(2);
-//			itemData.add(1); // series
-//			itemData.add(colIndices[j]); // item
-//			orderedValues.put(j + i, itemData);
-//		}
-//	
-//		return orderedValues;
-//	}
-
 	
 	/**
 	 * Gets a map where the values of the dataset are orderer by label and flatten but grouped by series.
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IItemSelectionRenderer.java	(revision 170)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IItemSelectionRenderer.java	(revision 171)
@@ -2,11 +2,12 @@
 
 import java.awt.Paint;
 
+import org.jfree.chart.ChartPanel;
 import org.jfree.chart.event.RendererChangeEvent;
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.Plot;
-import org.txm.chartsengine.core.___ChartsEngine;
 import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
+import org.txm.core.chartsengine.base.___ChartsEngine;
 
 
 /**
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java	(revision 170)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java	(revision 171)
@@ -9,7 +9,7 @@
 import org.jfree.chart.event.RendererChangeEvent;
 import org.jfree.chart.plot.SeriesRenderingOrder;
 import org.jfree.chart.plot.XYPlot;
-//import org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers.FCAItemSelectionRenderer;
+import org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers.FCAItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionXYLineAndShapeRenderer;
 
@@ -291,58 +291,58 @@
 		return item;
 	}
 	
-//	/**
-//	 * Changes the CA plot series rendering order according the selected series in item selector.
-//	 * @param renderer
-//	 */
-//	public void setItemDrawnAtLast(FCAItemSelectionRenderer renderer)	{
-//		
-//		if(this.mouseOverSeries != -1) {
-//			
-//			XYPlot plot = (XYPlot) this.renderer.getPlot();
-//			
-//			// FIXME: it swaps only between rows and cols order but we may manage order of item inside same series
-//			// Changing the rendering order
-//			if(this.mouseOverSeries == 0)	{
-//				// Row
-//				plot.setSeriesRenderingOrder(SeriesRenderingOrder.REVERSE);
-//			}
-//			else	{
-//				// Col
-//				plot.setSeriesRenderingOrder(SeriesRenderingOrder.FORWARD);
-//			}
+	/**
+	 * Changes the CA plot series rendering order according the selected series in item selector.
+	 * @param renderer
+	 */
+	public void setItemDrawnAtLast(FCAItemSelectionRenderer renderer)	{
+		
+		if(this.mouseOverSeries != -1) {
+			
+			XYPlot plot = (XYPlot) this.renderer.getPlot();
+			
+			// FIXME: it swaps only between rows and cols order but we may manage order of item inside same series
+			// Changing the rendering order
+			if(this.mouseOverSeries == 0)	{
+				// Row
+				plot.setSeriesRenderingOrder(SeriesRenderingOrder.REVERSE);
+			}
+			else	{
+				// Col
+				plot.setSeriesRenderingOrder(SeriesRenderingOrder.FORWARD);
+			}
+
+			
+			
+//			// FIXME : test de tracé d'un background pour les labels des points en passant par une annotation
+			// exemple de tracé
+//			this.getPlot().addAnnotation(new XYAnnotation() {
 //
-//			
-//			
-////			// FIXME : test de tracé d'un background pour les labels des points en passant par une annotation
-//			// exemple de tracé
-////			this.getPlot().addAnnotation(new XYAnnotation() {
-////
-////				@Override
-////				public void removeChangeListener(AnnotationChangeListener listener) {
-////					// TODO Auto-generated method stub
-////
-////				}
-////
-////				@Override
-////				public void addChangeListener(AnnotationChangeListener listener) {
-////					// TODO Auto-generated method stub
-////
-////				}
-////
-////				@Override
-////				public void draw(Graphics2D g2, XYPlot plot,
-////						Rectangle2D dataArea, ValueAxis domainAxis,
-////						ValueAxis rangeAxis, int rendererIndex,
-////						PlotRenderingInfo info) {
-////					g2.setColor(Color.red);
-////					g2.fillRect(itemSelector.getXCoord(), itemSelector.getYCoord(), 50, 20);
-////
-////				}
-////			});
-//		}
-//		
-//	}
+//				@Override
+//				public void removeChangeListener(AnnotationChangeListener listener) {
+//					// TODO Auto-generated method stub
+//
+//				}
+//
+//				@Override
+//				public void addChangeListener(AnnotationChangeListener listener) {
+//					// TODO Auto-generated method stub
+//
+//				}
+//
+//				@Override
+//				public void draw(Graphics2D g2, XYPlot plot,
+//						Rectangle2D dataArea, ValueAxis domainAxis,
+//						ValueAxis rangeAxis, int rendererIndex,
+//						PlotRenderingInfo info) {
+//					g2.setColor(Color.red);
+//					g2.fillRect(itemSelector.getXCoord(), itemSelector.getYCoord(), 50, 20);
+//
+//				}
+//			});
+		}
+		
+	}
 
 	
 	public void setItemDrawnAtLast(ItemSelectionXYLineAndShapeRenderer itemSelectionXYLineAndShapeRenderer) {
